Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QPainterPath.ElementType

    java.lang.Object
      java.lang.Enum<QPainterPath.ElementType>
          com.trolltech.qt.gui.QPainterPath.ElementType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QPainterPath.ElementType>

Enclosing class:
  QPainterPath

    public static enum QPainterPath.ElementType

extends java.lang.Enum<QPainterPath.ElementType>
implements QtEnumerator

This enum describes the types of elements used to connect vertices in subpaths.

Note that elements added as closed subpaths using the `addEllipse`, `addPath`, `addPolygon`, `addRect`, `addRegion` and `addText` convenience functions, is actually added to the path as a collection of separate elements using the `moveTo`, `lineTo` and `cubicTo` functions.

See Also:
  `elementAt`, `elementCount`

Enum Constant Summary
`CurveToDataElement` The extra data required to describe a curve in a `CurveToElement` element.
`CurveToElement` A curve.
`LineToElement` A line.
`MoveToElement` A new subpath.

Method Summary
`static QPainterPath.ElementType` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QPainterPath.ElementType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QPainterPath.ElementType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MoveToElement

    public static final QPainterPath.ElementType MoveToElement

  A new subpath. See also `moveTo`.

### LineToElement

    public static final QPainterPath.ElementType LineToElement

  A line. See also `lineTo`.

### CurveToElement

    public static final QPainterPath.ElementType CurveToElement

  A curve. See also `cubicTo` and `quadTo`.

### CurveToDataElement

    public static final QPainterPath.ElementType CurveToDataElement

  The extra data required to describe a curve in a `CurveToElement` element.

Method Detail

### values

    public static final QPainterPath.ElementType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QPainterPath.ElementType c : QPainterPath.ElementType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QPainterPath.ElementType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QPainterPath.ElementType resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD